USRP Software Radio

cancel
Showing results for 
Search instead for 
Did you mean: 

GNU radio and LabVIEW simultaneously on USRP 2920

Highlighted

I also need to use GNUradio on USRP 2920 on Linux. Can I use LabVIEW(on windows) and GNU radio(on Linux) on USRP 2920 simultaneously using the same FW/FPGA ??

Or do I need a separate USRP 2920 with different FW/FPGA for that ?

 I am using LabVIEW on 2920 on Windows but I wish to use GnuRadio on 2920 on Linux as well. Any guidance on how to do that would be appreciated.

Regards.

0 Kudos
Message 1 of 3
(5,560 Views)
Highlighted

Hello,

 

The 1.2 version of NI-USRP is built off of UHD version 003.004.004. This means that if you want to use GNU Radio on a Linux box and not have to change the FW/FPGA back and forth between the two, you need to use UHD 003.004.004.

 

If you would like to use a newer version of UHD on Linux with GNURadio, you will need to update/change the firmware and FPGA images each time you switch which driver you are using.

 

Please let me know if that helps. Thannks

Cameron T
Applications Engineer
National Instruments
0 Kudos
Message 2 of 3
(5,501 Views)
Highlighted

thanks a lot for such valuable information . but what i had understood from your comment is that is available to use USRP 2920 over GNUradio without need to change the firmware with conditions you had mentioned , and i have the same inquiry but about USRP 2944 RIO is it has the same feature ? and if i have to change the firmware version what about rollback to original NI firmware version for both 2920 and 2944?

 

5G Researcher
0 Kudos
Message 3 of 3
(1,112 Views)